/**
 * cf_base.h
 */
#ifndef __CF_BASE_H__
#define __CF_BASE_H__

typedef enum {
	CF_FALSE = 0,
	CF_TRUE = 1
} E_CF_BOOL, CF_BOOL;

#define CF_OK							0
#define CF_ERROR						-1

#define NAME_LENGTH						128

#define CF_ERROR_BASE					CF_ERROR * 1000

#define CF_ERROR_FILE					CF_ERROR_BASE * 2
#define CF_ERROR_SOCKET					CF_ERROR_BASE * 3
#define CF_ERROR_THREAD					CF_ERROR_BASE * 4
#define CF_ERROR_MUTEX					CF_ERROR_BASE * 5
#define CF_ERROR_DEBUG					CF_ERROR_BASE * 6
#define CF_ERROR_LOG					CF_ERROR_BASE * 7

#ifdef _WIN32
# define CF_EXPORT		__declspec(dllexport)
#else // #ifdef _WIN32
# define CF_EXPORT
#endif // #ifdef _WIN32

#endif // #ifndef __CF_BASE_H__
